RDKit: SubstanceGroup.h File Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Namespaces | Functions | Variables
SubstanceGroup.h File Reference

Defines the SubstanceGroup class. More...

`#include <RDGeneral/export.h>`
`#include <utility>`
`#include <unordered_map>`
`#include <Geometry/point.h>`
`#include <RDGeneral/types.h>`
`#include <RDGeneral/RDProps.h>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes
class | RDKit::SubstanceGroupException
| used to indicate errors from incorrect sgroup access More...
class | RDKit::SubstanceGroup
| The class for representing SubstanceGroups. More...
struct | RDKit::SubstanceGroup::AttachPoint
struct | RDKit::SubstanceGroup::CState

## Namespaces
namespace | RDKit
| Std stuff.
namespace | RDKit::SubstanceGroupChecks

## Functions
RDKIT_GRAPHMOL_EXPORT bool | RDKit::SubstanceGroupChecks::isValidType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::SubstanceGroupChecks::isValidSubType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::SubstanceGroupChecks::isValidConnectType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::SubstanceGroupChecks::isValidClass (const std::string &sgroupClass)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::SubstanceGroupChecks::isSubstanceGroupIdFree (const ROMol &mol, unsigned int id)
RDKIT_GRAPHMOL_EXPORT std::ostream & | operator<< (std::ostream &target, const RDKit::SubstanceGroup &sg)
| allows SubstanceGroup objects to be dumped to streams
SubstanceGroups and molecules
RDKIT_GRAPHMOL_EXPORT std::vector< SubstanceGroup > & | RDKit::getSubstanceGroups (ROMol &mol)
RDKIT_GRAPHMOL_EXPORT const std::vector< SubstanceGroup > & | RDKit::getSubstanceGroups (const ROMol &mol)
RDKIT_GRAPHMOL_EXPORT unsigned int | RDKit::addSubstanceGroup (ROMol &mol, SubstanceGroup sgroup)
RDKIT_GRAPHMOL_EXPORT void | RDKit::removeSubstanceGroupsReferencingAtom (RWMol &mol, unsigned int idx)
| Removes SubstanceGroups which reference a particular atom index.
RDKIT_GRAPHMOL_EXPORT void | RDKit::removeSubstanceGroupsReferencingBond (RWMol &mol, unsigned int idx)
| Removes SubstanceGroups which reference a particular bond index.

## Variables
const std::vector< std::string > | RDKit::SubstanceGroupChecks::sGroupTypes
const std::vector< std::string > | RDKit::SubstanceGroupChecks::sGroupSubtypes = {"ALT", "RAN", "BLO"}
const std::vector< std::string > | RDKit::SubstanceGroupChecks::sGroupConnectTypes = {"HH", "HT", "EU"}
const std::vector< std::string > | RDKit::SubstanceGroupChecks::sGroupClasses

## Detailed Description

Defines the SubstanceGroup class.

Definition in file SubstanceGroup.h.

## Function Documentation

## ◆ operator<<()

RDKIT_GRAPHMOL_EXPORT std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDKit::SubstanceGroup & | sg )

allows SubstanceGroup objects to be dumped to streams

References RDKIT_GRAPHMOL_EXPORT.